<!-- TODO: when there is more than one app: all throughout the code replace 'wizard' for the selected app -->
{% load static %}
{% load i18n %}

{% block content %}

    <nav id="header" class="navbar navbar-custom navbar-fixed-top" role="navigation">
        <div class="container">
            <div class="navbar-header">
              <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar-collapse-header" aria-expanded="false">
                <span class="sr-only">Toggle navigation</span>
                <small>OPENCoastS</small>
                <span class="glyphicon glyphicon-menu-hamburger"></span>
              </button>
            </div>
            <div id="navbar-collapse-header" class="collapse navbar-collapse">
                <ul class="nav navbar-nav">
                    <li id="home" class="mainmenu"><a href="/"><img width="16px" src="{% static 'shared/img/favicon.png' %}" alt="opencoasts icon" /> <span>OPENCoastS</span></a></li>
                    {% if not user.is_authenticated %}
                    <li class="mainmenu hash"><a href="{% url 'front:home' %}#steps">{% trans "Funcionalidades" %}</a></li>
                    <li class="mainmenu hash"><a href="{% url 'front:home' %}#target">{% trans "Público" %}</a></li>
                    <!--<li class="mainmenu hash"><a href="{% url 'front:home' %}#map">{% trans "Zona" %}</a></li>-->
                    <li class="mainmenu hash"><a href="http://opencoasts.lnec.pt/index_en.php" target="_blank">{% trans "Mais info" %}</a></li>
                    {% endif %}
                    <li class="mainmenu hash"><a class="nocaps" href="http://opencoasts.lnec.pt/OPENCoastS_manual.htm" target="_blank">{% trans "Manual" %} <span class="glyphicon glyphicon-download-alt"></span></a></li>
                    <li class="mainmenu hash"><a href="http://opencoasts.lnec.pt/index_en.php#FAQs" target="_blank">faq <span class="glyphicon glyphicon-question-sign"></span></a></li>
                 </ul>

                <ul class="nav navbar-nav navbar-right">
                    {% if user.is_authenticated %}
                    <li class="dropdown">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                            <span class="glyphicon glyphicon-user"></span>
                            {% if not user.email %}
                            <span class="user_title ellipses">{{ user.username }}</span>
                            {% else %}
                            <span class="user_title">{{ user.email }}</span>
                            {% endif %}
                            <span class="glyphicon glyphicon-chevron-down"></span>
                        </a>
                        <ul class="dropdown-menu custom">
                            <li class="cst">
                                <div class="navbar-login">
                                    <div class="row">
                                        <div class="col-sm-8">
                                            <p class="text-left"><strong>{{ user.first_name }} {{ user.last_name }}</strong></p>
                                            {% if not user.email %}
                                            <p class="text-left small ellipses">{{ user.username }}</p>
                                            {% else %}
                                            <p class="text-left small">{{ user.email }}</p>
                                            {% endif %}
                                        </div>
                                        <div class="col-sm-4">
                                            <button type="button" class="btn btn-primary btn-sm" onclick="window.location.href='{% url 'front:profile' %}'">
                                                <strong>{% trans "Perfil" %}  </strong>
                                            </button>
                                        </div>
                                    </div>
                                </div>
                            </li>
                            <li class="divider navbar-login-session-bg"></li>
                            <li class="cst"><a class="normal" href="{% url 'wizard:open_wizard' %}"><span class="glyphicon glyphicon-cog"></span> {% trans "Assistente de Configuração" %}</a></li>
                            <li class="cst"><a class="normal" href="{% url 'front:deployments' %}"><span class="glyphicon glyphicon-tasks"></span> {% trans "Sistemas de Previsão" %}</a></li>
                            <li class="cst"><a class="normal" href="{% url 'viewer:home' %}"><span class="glyphicon glyphicon-globe"></span> {% trans "Visualizador" %}</a></li>
                            <li class="divider navbar-login-session-bg"></li>
                            <li class="cst"><a class="normal simple" href="{% url 'front:disclaimer' %}">{% trans "Termos e Condições de Utilização" %}</a></li>
                            <li class="cst"><a class="normal simple label label-info white" href="{% url 'front:rate_service' %}">{% trans "Avalie este serviço" %}</a></li>
                            <li class="divider navbar-login-session-bg"></li>
                            <li>
                                <button id="btn_logout" type="button" class="btn btn-default btn-sm m10"><strong>{% trans "Fechar Sessão" %}</strong> <span class="glyphicon glyphicon-log-out"></span></button>
                            </li>
                        </ul>
                    </li>
                    {% else %}
                      <li id="register" class="mainmenu"><a href="{% url 'front:register' %}">{% trans "Registo" %}</a></li>
                      <li id="login" class="mainmenu"><a href="{% url 'front:login' %}">{% trans "Entrar" %}</a></li>
                    {% endif %}

                    <form id="language-form" class="navbar-form navbar-right" action="/i18n/setlang/" method="post">{% csrf_token %}
                        <input name="next" type="hidden" value="{{request.path}}" />
                        <input id="language" type="hidden" name="language" value="" />
                        <div id="langmenu" class="btn-group btn-group-xs inline" data-toggle="buttons">
                            {% get_language_info_list for LANGUAGES as languages %}
                            {% for language in languages %}
                                {% if language.code in LANGUAGE_CODE %}
                                    <button type="submit" lang_code="{{ language.code }}" class="btn btn-primary active">{% if 'en' in language.code %}en{% else %}{{ language.code }}{% endif %}</button>
                                {% else %}
                                    <button type="submit" lang_code="{{ language.code }}" class="btn btn-primary notActive">{% if 'en' in language.code %}en{% else %}{{ language.code }}{% endif %}</button>
                                {% endif %}
                            {% endfor %}
                        </div>
                    </form>
                </ul>
            </div>
        </div>
    </nav>

    <div id="divModal_logout" class="modal fade" role="dialog" data-backdrop="static" data-keyboard="false">
      <div class="vertical-alignment-helper">
        <div class="modal-dialog vertical-align-center">
          <!-- Modal content-->
          <div class="modal-content">
            <div class="modal-header">
              <button type="button" class="close fechar" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">{% trans "Fechar" %}</span></button>
              <span class="modal-title">{% trans "Sair de Sessão" %}</span>
            </div>

            <div class="modal-body">
              <p>
                {% trans "Ao sair de sessão poderá perder trabalho efetuado no Assistente de Configuração, se efetuou alterações e quiser mantê-las prima Não e no Assistente guarde o Sistema." %}
                <br/>
                {% trans "Deseja sair de sessão?" %}
              </p>
            </div>

            <div class="modal-footer">
              <button type="button" class="btn btn-default fechar" data-dismiss="modal">{% trans "Não" %}</button>
              <button type="button" class="btn btn-primary" onclick="window.location.href='{% url 'front:logout' %}'">{% trans "Sim" %}</button>
            </div>
          </div>
        </div>
      </div>
    </div>

    <script type="text/javascript">
        $('#btn_logout').on('click', function () {
            $('#divModal_logout').modal();
        });
    </script>

{% endblock content %}